Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 3 of 3

Thread: Eclipse Arduino IDE - Error <> is not compiled for this board Teensy 3.0 vs 3.1

  1. #1
    Junior Member
    Join Date
    Jan 2014
    Location
    Huntsville Alabama
    Posts
    14

    Smile Eclipse Arduino IDE - Error <> is not compiled for this board Teensy 3.0 vs 3.1

    Hi,

    kudos to Jantje for Eclipse Arduino IDE and thanks to headroom for instructions pages. I've finally gotten all of the steps done and I appear to be able to build the blink example. I'm developing on Ubuntu 12.04.

    However, when i try to upload Teensy bootloader complains

    Error: "blink.hex" is not compled for this board.
    Compiled for: "Teensy 3.0 (MK20DX128)"
    This board is: "Teensy 3.1 (MK20DX256)"

    I noticed in .../teensy/all/boards.txt there is no specific mention of teensy 3.1, so I tried making the following changes:
    o changed "teensy3.name=Teensy 3.0" to "teensy3.name=Teensy 3.1"
    o all occurrences of 128 to 256, where it appeard in MK20DX<> string.

    But this did not seem to have any affect.

    Any suggestions? Thanks in advance.

    How in general, do I convert this setup from teensy 3.0 to teensy 3.1, even though they are supposedly code compatible?

    Thanks

  2. #2
    Senior Member
    Join Date
    Jan 2013
    Posts
    966
    Ha, I was firmly convinced that there would be no need for a different board.txt but I just compared the current teensyduino rc18.2 boards txt file with the one delivered from Jantje. The Teesnsyduino RC18.2 has a teensy31 section so clearly a new boards txt file is necessary. I have attached a new boards.txt file that should work with Teensy 3 and Teensy 3.1.
    Please test and let me know in THIS thread if it works.

    This will make it easier to consolidate changes if/when necessary. Thanks in advance for the help!
    Attached Files Attached Files

  3. #3
    Junior Member
    Join Date
    Jan 2014
    Location
    Huntsville Alabama
    Posts
    14
    Hi,
    I replaced my boards.txt file created during the installation process with the one you provided, but the project would not compile.

    In an effort to provide you with as much information as I can, I collected Console output, source, and a few notes for two projects: One using the boards.txt you provided (blinky.cpp) and the other using my original boards.txt involved in the reported upload problem.

    You will find the results from your boards.txt file in the attached file related to blinky.

    I also reverted back to my original boards.txt file and created a second project, called blinky2, which is virtually identical project and followed same steps. It compiles OK and generates *.hex but won't upload. See attached file related to blinky2 Note: I did not attempt to show you the error messages relating to upload failure.

    I am using this site's attachment manager for the first time. I hope you are able to see and get my files.

    Thanks

    ps I'm not getting email notification when you reply even though I've asked for them in the options. So I may not respond to further request quickly...sorry.
    Attached Files Attached Files

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •